VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | Public Attributes | List of all members
CViewContainerDropTarget Struct Reference
Inheritance diagram for CViewContainerDropTarget:

## Public Member Functions
| CViewContainerDropTarget (CViewContainer *container)
CPoint | getLocalPos (const CPoint &pos) const
DragOperation | onDragEnter (DragEventData data) final
| a drag enters the drop target More...
DragOperation | onDragMove (DragEventData data) final
| a drag moves over the drop target More...
void | onDragLeave (DragEventData data) final
| a drag leaves the drop target More...
bool | onDrop (DragEventData data) final
| a drop happens on the drop target More...
virtual DragOperation | onDragEnter (DragEventData data)=0
| a drag enters the drop target More...
virtual DragOperation | onDragMove (DragEventData data)=0
| a drag moves over the drop target More...
virtual void | onDragLeave (DragEventData data)=0
| a drag leaves the drop target More...
virtual bool | onDrop (DragEventData data)=0
| a drop happens on the drop target More...
virtual void | forget ()=0
| decrease refcount and delete object if refcount == 0 More...
virtual void | remember ()=0
| increase refcount More...
Public Member Functions inherited from ReferenceCounted< T >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0 More...
void | remember () override
| increase refcount More...
virtual int32_t | getNbReference () const
| get refcount More...

## Public Attributes
CViewContainer * | container
SharedPointer< IDropTarget > | dropTarget
SharedPointer< CView > | currentDragView

## Constructor & Destructor Documentation

## ◆ CViewContainerDropTarget()

CViewContainerDropTarget | ( | CViewContainer * | container | ) |
| inline

## Member Function Documentation

## ◆ getLocalPos()

CPoint getLocalPos | ( | const CPoint & | pos | ) | const
| inline

## ◆ onDragEnter()

DragOperation onDragEnter | ( | DragEventData | data | ) |
| inline final virtual

a drag enters the drop target

Parameters

  data | drag event data

Returns
  drag operation

Implements IDropTarget.

## ◆ onDragLeave()

void onDragLeave | ( | DragEventData | data | ) |
| inline final virtual

a drag leaves the drop target

Parameters

  data | drag event data

Implements IDropTarget.

## ◆ onDragMove()

DragOperation onDragMove | ( | DragEventData | data | ) |
| inline final virtual

a drag moves over the drop target

Parameters

  data | drag event data

Returns
  drag operation

Implements IDropTarget.

## ◆ onDrop()

bool onDrop | ( | DragEventData | data | ) |
| inline final virtual

a drop happens on the drop target

Parameters

  data | drag event data

Implements IDropTarget.

## Member Data Documentation

## ◆ container

CViewContainer* container

## ◆ currentDragView

SharedPointer<CView> currentDragView

## ◆ dropTarget

SharedPointer<IDropTarget> dropTarget

The documentation for this struct was generated from the following file:

- cviewcontainer.cpp